Create a pre-translation job
curl --request POST \
--url https://api.phrase.com/v2/projects/{project_id}/pre_translations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"translatable_type": "locale",
"translatable_id": "abcd1234cdef1234abcd1234cdef1234"
}
'import requests
url = "https://api.phrase.com/v2/projects/{project_id}/pre_translations"
payload = {
"translatable_type": "locale",
"translatable_id": "abcd1234cdef1234abcd1234cdef1234"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
translatable_type: 'locale',
translatable_id: 'abcd1234cdef1234abcd1234cdef1234'
})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/pre_translations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"status": "pending",
"translatable_type": "locale",
"translatable_id": "abcd1234cdef1234abcd1234cdef1234",
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Pre Translations
Create a pre-translation job
Triggers a pre-translation job for a resource within a project, addressed
by translatable_type (locale, job, translation_key, or upload)
and translatable_id (its ID).
Enqueues machine translation using the project’s configured MT engine.
POST
/
projects
/
{project_id}
/
pre_translations
Create a pre-translation job
Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Body
application/json
Response
Accepted
Example:
"abcd1234cdef1234abcd1234cdef1234"
Current execution state of the pre-translation job. Jobs start as pending while queued, transition to running while executing, and settle to success or error.
Available options:
pending, running, success, error Resource type that was pre-translated.
Available options:
locale, job, translation_key, upload ID of the targeted resource (locale ID, job ID, key ID, or upload ID).
Example:
"abcd1234cdef1234abcd1234cdef1234"
Error message. null unless the job's status is error.
Was this page helpful?